Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001619Double CommanderGraphical user interfacepublic2016-11-12 08:422017-02-05 10:57
Reportercordylus 
Assigned ToAlexx2000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
PlatformOSOS Version
Product Version0.7.6Product Build 
Target Version0.8.0Fixed in Version0.8.0 
Summary0001619: Открытие окна поиска и нажатие стрелки вниз выдаёт не последний поисковый запрос (ошибка с автодополнением звёздочки)
DescriptionА выдаёт последний запрос перед последним поиском звёздочки.
Steps To Reproduce1) поискать aaa
2) поискать *
3) поискать bbb
4) открыть окно поиска и нажать стрелку вниз, выдаст aaa, а не последний поиск - bbb
Чтобы увидеть, почему, достаточно открыть выпадающий список - автоматически заполненная при открытии окна звёздочка есть в истории запросов и находится не на последнем месте.
Additional InformationЗвёздочку нужно либо не хранить её в истории вообще, либо перемещать её на самое верхнее место, а лучше вообще убрать - зачем она? Без нее так же ищет все файлы. Случай, когда отжат "Поиск по части имени", а поле пустое, можно обработать отдельно, и даже нужно, ведь по невнимательности такую ситуацию легко допустить, и выдаст ложные 0 результатов. А о принципиальной возможности применения звездочки достаточно написать во всплывающей подсказке, там же, где информация про допустимость использования точки с запятой для ввода нескольких имен файлов.
TagsNo tags attached.
Fixed in Revision7367
Operating system
Widgetset
Architecture
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-11-12 08:42 cordylus New Issue
2016-11-16 03:50 Alexx2000 Status new => confirmed
2017-02-05 09:28 Alexx2000 Assigned To => Alexx2000
2017-02-05 10:57 Alexx2000 Fixed in Revision => 7367
2017-02-05 10:57 Alexx2000 Status confirmed => resolved
2017-02-05 10:57 Alexx2000 Resolution open => fixed
2017-02-05 10:57 Alexx2000 Fixed in Version => 0.8.0
2017-02-05 10:57 Alexx2000 Target Version => 0.8.0
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker